#!/usr/bin/env python
"""
Input: genbank file
Output: fasta nucleotide or protein sequences
This bit of code will record the full DNA nucleotide sequence for each record in the GenBank file as a fasta record.
http://www.warwick.ac.uk/go/peter_cock/python/genbank2fasta/
"""

import sys, os
from Bio import SeqIO


def __main__():

    infile = sys.argv[1]
    outfile= sys.argv[2]
    input_handle  = open(infile, "r")
    output_handle = open(outfile, "w")
    gbk_to_fna(input_handle,output_handle)


#Short version:
#SeqIO.write(SeqIO.parse(input_handle, "genbank"), output_handle, "fasta")
#Long version, allows full control of fasta output

def gbk_to_fna(input_handle,output_handle):
    for seq_record in SeqIO.parse(input_handle, "genbank") :
        print "Dealing with GenBank record %s" % seq_record.id
        output_handle.write(">%s %s\n%s\n" % (
               seq_record.id,
               seq_record.description,
               seq_record.seq.tostring()))
    output_handle.close()
    input_handle.close()
    print "Done"



if __name__ == "__main__" : __main__()

